org.wildfly.swarm.config.management.access.syslog_handler.protocol

## Class TruststoreAuthentication<T extends TruststoreAuthentication<T>>

- java.lang.Object
- - org.wildfly.swarm.config.management.access.syslog_handler.protocol.TruststoreAuthentication<T>

-     public class TruststoreAuthentication<T extends TruststoreAuthentication<T>>
      extends Object

  Configuration for the truststore for the server certificate, if not signed by an authority.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TruststoreAuthentication()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `String` | `keystorePassword()` The password for the truststore.
    `T` | `keystorePassword(String value)` The password for the truststore.
    `Map` | `keystorePasswordCredentialReference()` The reference to credential for the truststore password stored in CredentialStore under defined alias or clear text password.
    `T` | `keystorePasswordCredentialReference(Map value)` The reference to credential for the truststore password stored in CredentialStore under defined alias or clear text password.
    `T` | `keystorePasswordCredentialReference(String key, Object value)` The reference to credential for the truststore password stored in CredentialStore under defined alias or clear text password.
    `String` | `keystorePath()` The path of the truststore.
    `T` | `keystorePath(String value)` The path of the truststore.
    `String` | `keystoreRelativeTo()` The name of another previously named path, or of one of the standard paths provided by the system.
    `T` | `keystoreRelativeTo(String value)` The name of another previously named path, or of one of the standard paths provided by the system.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TruststoreAuthentication

          public TruststoreAuthentication()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### keystorePassword

          public String keystorePassword()

      The password for the truststore.

    - #### keystorePassword

          public T keystorePassword(String value)

      The password for the truststore.

    - #### keystorePasswordCredentialReference

          public Map keystorePasswordCredentialReference()

      The reference to credential for the truststore password stored in CredentialStore under defined alias or clear text password.

    - #### keystorePasswordCredentialReference

          public T keystorePasswordCredentialReference(Map value)

      The reference to credential for the truststore password stored in CredentialStore under defined alias or clear text password.

    - #### keystorePasswordCredentialReference

          public T keystorePasswordCredentialReference(String key,
                                                       Object value)

      The reference to credential for the truststore password stored in CredentialStore under defined alias or clear text password.

    - #### keystorePath

          public String keystorePath()

      The path of the truststore.

    - #### keystorePath

          public T keystorePath(String value)

      The path of the truststore.

    - #### keystoreRelativeTo

          public String keystoreRelativeTo()

      The name of another previously named path, or of one of the standard paths provided by the system. If 'keystore-relative-to' is provided, the value of the 'keystore-path' attribute is treated as relative to the path specified by this attribute.

    - #### keystoreRelativeTo

          public T keystoreRelativeTo(String value)

      The name of another previously named path, or of one of the standard paths provided by the system. If 'keystore-relative-to' is provided, the value of the 'keystore-path' attribute is treated as relative to the path specified by this attribute.

Copyright © 2018 JBoss by Red Hat. All rights reserved.